Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8259661

[macos] UnsatisfiedLinkError, jpackage does not load native libs

    Details

    • Subcomponent:
    • Introduced In Version:
      16
    • CPU:
      x86_64
    • OS:
      os_x

      Description

      ADDITIONAL SYSTEM INFORMATION :
      OS X - 10.15.7, JDK 16 and 15

      A DESCRIPTION OF THE PROBLEM :
      In JDK 14 there is no problem with native libs loading, but in further JDK versions, this seems problematic. It seems like other projects suffer from this problem as well: https://github.com/qupath/qupath/issues/615

      REGRESSION : Last worked in version 14

      STEPS TO FOLLOW TO REPRODUCE THE PROBLEM :
      jpackage an app with native libs and try to run the app, the app won't run.

      EXPECTED VERSUS ACTUAL BEHAVIOR :
      EXPECTED -
      The app should run.
      ACTUAL -
      The app throws an exception.

      CUSTOMER SUBMITTED WORKAROUND :
      Using JDK 14

      FREQUENCY : always


        Attachments

          Activity

            People

            • Assignee:
              almatvee Alexander Matveev
              Reporter:
              webbuggrp Webbug Group
            • Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: